tigase.db.beans

## Class DataSourceBean.DataSourceChangedEvent

- java.lang.Object
- - tigase.db.beans.DataSourceBean.DataSourceChangedEvent

- Enclosing class:
    DataSourceBean

      public static class DataSourceBean.DataSourceChangedEvent
      extends Object

  Event emitted by `DataSourceBean` using `EventBus` when instance of `DataSource` for some name changes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceChangedEvent(DataSourceBean bean, String domain, DataSource newDataSource, DataSource oldDataSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDomain()` Get name for which data source instance was changed
    `DataSource` | `getNewDataSource()` Get new instance of data source
    `DataSource` | `getOldDataSource()` Get old instance of data source
    `boolean` | `isCorrectSender(DataSourceBean bean)` Check if event was emitted by provided instance of `DataSourceBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceChangedEvent

          public DataSourceChangedEvent(DataSourceBean bean,
                                        String domain,
                                        DataSource newDataSource,
                                        DataSource oldDataSource)

  - ### Method Detail

    - #### isCorrectSender

          public boolean isCorrectSender(DataSourceBean bean)

      Check if event was emitted by provided instance of `DataSourceBean`

    - #### getDomain

          public String getDomain()

      Get name for which data source instance was changed
      Returns:

    - #### getOldDataSource

          public DataSource getOldDataSource()

      Get old instance of data source
      Returns:

    - #### getNewDataSource

          public DataSource getNewDataSource()

      Get new instance of data source
      Returns:

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.